summaryrefslogtreecommitdiff
path: root/scripts/saveSample.sh.in
diff options
context:
space:
mode:
authorBryan Hundven <bryanhundven@gmail.com>2015-05-10 03:09:05 (GMT)
committerBryan Hundven <bryanhundven@gmail.com>2015-05-10 03:09:05 (GMT)
commit5907149de56926f3c9d50a6f44a44f76c9a9b1e5 (patch)
tree4a52a4270748826c18a9bd24662e71896c981bef /scripts/saveSample.sh.in
parent2efbe05aa8ed2d44ce2acfee78aaad223cbce350 (diff)
scripts: If paths.sh is included, use the variables
This commit changes sed, awk, and grep to use the ones we found during configure time. This helps make the build more consistent. Signed-off-by: Bryan Hundven <bryanhundven@gmail.com>
Diffstat (limited to 'scripts/saveSample.sh.in')
-rw-r--r--scripts/saveSample.sh.in6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/saveSample.sh.in b/scripts/saveSample.sh.in
index 792f033..34e6594 100644
--- a/scripts/saveSample.sh.in
+++ b/scripts/saveSample.sh.in
@@ -89,8 +89,8 @@ cp .config .defconfig
CT_DoAddFileToSample() {
source="$1"
dest="$2"
- inode_s=$(ls -i "${source}" |awk '{ print $1; }')
- inode_d=$(ls -i "${dest}" 2>/dev/null |awk '{ print $1; }' || true)
+ inode_s=$(ls -i "${source}" | ${awk} '{ print $1; }')
+ inode_d=$(ls -i "${dest}" 2>/dev/null | ${awk} '{ print $1; }' || true)
if [ "${inode_s}" != "${inode_d}" ]; then
cp "${source}" "${dest}"
fi
@@ -132,7 +132,7 @@ read -p "Reporter name [${reporter_name}]: " reporter_name
read -p "Reporter URL [${reporter_url}]: " reporter_url
if [ -n "${reporter_comment}" ]; then
echo "Old comment:"
- printf "${reporter_comment}\n" |sed -r -e 's/^/ > /;'
+ printf "${reporter_comment}\n" | ${sed} -r -e 's/^/ > /;'
fi
echo "Reporter comment (Ctrl-D to finish, '.' to use previous):"
reporter_comment=$(cat)